Loading...
Searching...
No Matches
casacore::ArraySlicerError Class Reference
casa package (libcasa_casa) » Arrays_module

An error thrown by an Slicer member function. More...

`#include <ArrayError.h>`

## Public Member Functions

| ArraySlicerError ()
| Initialize with the message "Slicer error.".
| ArraySlicerError (const std::string &m)
| Initialize with ArraySlicerError plus the supplied message.
| ~ArraySlicerError () noexcept
Public Member Functions inherited from casacore::ArrayError
| ArrayError ()
| Initialize with the message "ArrayError".
| ArrayError (const char *m)
| Initialize with the supplied message.
| ArrayError (const std::string &m)
| Initialize with the supplied message.
| ~ArrayError () noexcept

## Detailed Description

An error thrown by an Slicer member function.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

An ArraySlicerError is thrown by an Slicer member function.

Definition at line 193 of file ArrayError.h.

## Constructor & Destructor Documentation

## ArraySlicerError() [1/2]

casacore::ArraySlicerError::ArraySlicerError | ( |  | ) |

Initialize with the message "Slicer error.".

## ArraySlicerError() [2/2]

casacore::ArraySlicerError::ArraySlicerError | ( | const std::string & | m | ) |

Initialize with ArraySlicerError plus the supplied message.

## ~ArraySlicerError()

casacore::ArraySlicerError::~ArraySlicerError | ( |  | ) |

noexcept

The documentation for this class was generated from the following file:

- casa/Arrays/ArrayError.h